| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__QueryPFRRequest Struct Reference
Packet Filter Rule

Query Packet Filter Rule request. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | OperatorId
| Operator Id. More...
char * | InterfaceWSDL
| Indicates the WSDL version supported be the client; for backwards compatibility purposes. More...
struct unsp__Paging * | Paging
| Standard paging structure. More...
enum unsp__QueryPFRSortType * | SortType
| Packet Filter Rule Sort Type. More...
enum unsp__SortOrder * | SortOrder
| Standard sorting structure. More...
xsd__string | Name
| Allows filtering on Packet Filter Rule Name. More...
xsd__string | LocalAlias
| Allows filtering on Packet Filter Rule Name. More...
xsd__int * | LocalPortBegin
| Allows filtering on Packet Filter Rule Local Port Begin. More...
xsd__int * | LocalPortEnd
| Allows filtering on Packet Filter Rule Local Port End. More...
xsd__string | LocalPortExpression
| A query expression to filter on Packet Filter Rule Local Port Begin and End. More...

## Detailed Description

Query Packet Filter Rule request.

Used by unsp__QueryPFR()

## Member Data Documentation

## ◆ InterfaceWSDL

char* unsp__QueryPFRRequest::InterfaceWSDL

Indicates the WSDL version supported be the client; for backwards compatibility purposes.

required: false

## ◆ LocalAlias

xsd__string unsp__QueryPFRRequest::LocalAlias

Allows filtering on Packet Filter Rule Name.

required: false
default value[range]: NA [1..63]

## ◆ LocalPortBegin

xsd__int* unsp__QueryPFRRequest::LocalPortBegin

Allows filtering on Packet Filter Rule Local Port Begin.

required: false
default value[range]: NA [0..65535]

## ◆ LocalPortEnd

xsd__int* unsp__QueryPFRRequest::LocalPortEnd

Allows filtering on Packet Filter Rule Local Port End.

required: false
default value[range]: NA [0..65535]

## ◆ LocalPortExpression

xsd__string unsp__QueryPFRRequest::LocalPortExpression

A query expression to filter on Packet Filter Rule Local Port Begin and End.

Cannot be used in conjunction with LocalPortBegin or LocalPortEnd.
required: false
default value[range]: NA [1..63]

## ◆ Name

xsd__string unsp__QueryPFRRequest::Name

Allows filtering on Packet Filter Rule Name.

required: false
default value[range]: NA [1..63]

## ◆ OperatorId

xsd__string unsp__QueryPFRRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ Paging

struct unsp__Paging* unsp__QueryPFRRequest::Paging

Standard paging structure.

required: false

## ◆ SortOrder

enum unsp__SortOrder* unsp__QueryPFRRequest::SortOrder

Standard sorting structure.

required: false

## ◆ SortType

enum unsp__QueryPFRSortType* unsp__QueryPFRRequest::SortType

Packet Filter Rule Sort Type.

required: false
default value[range]: SortBy_Name

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h